/*
Copyright (C) 2016 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR

This file is part of SMPPIR-CheckIn.

SMPPIR-CheckIn is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

SMPPIR-CheckIn is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with SMPPIR-CheckIn.  If not, see <https://www.gnu.org/licenses/>.
*/

// module.exports = function(app) {
//   'use strict';
//   var db = app.dataSources.SMPPIR_CheckIn2;
//   console.log('-- Models found:', Object.keys(app.models));

//   db.autoupdate(Object.keys(app.models), function() {
//     console.log('Auto-migrated model:\n\t' +
//       Object.keys(app.models).join('\n\t') +
//       '\nsuccessfully.');
//   });
// };

'use strict';

var util = require('util');
var _ = require('lodash');

module.exports = function(app) {
  var db = app.dataSources.SMPPIR_CheckIn2;

  db.autoupdate(function(err) {
    if (err) throw err;
    console.log('\nAutomigrate completed');
  });
};
